Name:           alleggl
Version:        0.4.3
Release:        7%{?dist}
Summary:        OpenGL support library for Allegro
Group:          System Environment/Libraries
License:        zlib
URL:            http://allegrogl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/allegrogl/%{name}-%{version}.tar.bz2
Patch0:         alleggl-0.4.2-gcc43.patch
Patch1:         alleggl-0.4.3-fullscreen-viewport.patch
Patch2:         alleggl-0.4.3-make.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  allegro-devel libGLU-devel libX11-devel libXext-devel
BuildRequires:  libXpm-devel libXxf86vm-devel

%description
AllegroGL is an Allegro add-on that allows you to use OpenGL alongside Allegro.
You use OpenGL for your rendering to the screen, and Allegro for miscellaneous
tasks like gathering input, doing timers, getting cross-platform portability,
loading data, and drawing your textures. So this library fills the same hole
that things like glut do.

AllegroGL also automatically exposes most, if not all, OpenGL extensions
available to user programs. This means you no longer have to manually load
them; extension management is already done for you.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       allegro-devel libGL-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
# the --with-x-foo is there so that configure doesn't add -L/usr/lib to
# the LDFLAGS, as that will result in an installed older alleggl getting used
# during the linking of the examples, possibly resulting in an error
%configure --disable-static --x-includes='' --x-libraries=''
make %{?_smp_mflags} 'LIB_BUILDER=gcc -shared -Wl,-soname,libagl.so.0 -o' \
  CFLAGS="$RPM_OPT_FLAGS -ffast-math"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# alleggl installs an autoheader generated header file which could very
# well conflict with other autoheader generated header files, so we override
# this with our own version which contains only the bare minimum:
echo '#define ALLEGROGL_HAVE_DYNAMIC_LINK 1' \
  > $RPM_BUILD_ROOT%{_includedir}/alleggl_config.h
echo '#define ALLEGROGL_HAVE_XF86VIDMODE 1' \
  >> $RPM_BUILD_ROOT%{_includedir}/alleggl_config.h

# we don't want these files to end up under %%doc and there is no way
# to %%exclude files from %%doc, so we remove them
rm docs/html/index.hh?


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc bugs.txt todo.txt
%{_libdir}/libagl.so.0*

%files devel
%defattr(-,root,root,-)
%doc extensions.txt faq.txt howto.txt quickstart.txt docs/html
%{_includedir}/*
%{_libdir}/libagl.so


%changelog
* Fri Sep 10 2010 Hans de Goede <hdegoede@redhat.com> 0.4.3-7
- Fix FTBFS (#631146)

* Thu Sep 10 2009 Hans de Goede <hdegoede@redhat.com> 0.4.3-6
- Fix (workaround) viewport issues in fullscreen mode (#522116)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 15 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-3
- Upstream has done a new (respin) release without bumping the version GRR
- Rebuild for gcc 4.3

* Fri Dec  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-2
- Fix headers to allow inclusion from c++ programs compiled with gcc 4.3

* Sun Nov 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-1
- New upstream release 0.4.3
- Drop prebuild doxygen Source as upstream now includes prebuild doxygen docs

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.2-2
- Some cleanups to the multilib doxygen documentation bugfix

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.2-1
- Upstream has renamed rc1 to final, so drop the .rc1 from the release field
- Fix multilib conflicts in doxygen documentation (bz 340611)

* Thu Aug  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.2-0.2.rc1
- Update License tag for new Licensing Guidelines compliance

* Sun Jun  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.1-1
- New upstream release 0.4.1 final

* Wed Dec 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-1
- New upstream release 0.4.0 final

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-0.5.rc4
- FE6 Rebuild

* Thu Aug 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-0.4.rc4
- Cleanup %%doc for both base and -devel a bit

* Fri Aug  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-0.3.rc4
- Add missing BRs: libXext-devel and libXpm-devel

* Thu Aug  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-0.2.rc4
- Replace installed autoheader generated header file with our own version
  which contains only the nescesarry alleggl specific defines, thus avoiding
  possible conflicts with other autoheader generated headers.

* Thu Aug  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.0-0.1.rc4
- Initial Fedora Extras package
